CodeFunctionID (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.tools.symbology.milStd2525
Class CodeFunctionID

    java.lang.Object
      com.bbn.openmap.tools.symbology.milStd2525.CodePosition
          com.bbn.openmap.tools.symbology.milStd2525.CodeFunctionID

    public class CodeFunctionID

extends CodePosition

The CodeFunctionID CodePosition represents a single level of the part of the tree that starts to really scope in on a symbol's purpose. CodeFunctionIDs are used to represent the 5-10 characters of a symbol code. The CodePositions are linked together in a tree format when the hierarchy tree is read and interpreted, with like features grouped together under a common SymbolPart by a CodeFunctionID.

Field Summary

Fields inherited from class com.bbn.openmap.tools.symbology.milStd2525.CodePosition
`choices, DEBUG, endIndex, hierarchyNumber, id, NameProperty, nextPosition, NextProperty, NO_CHAR, NO_NUMBER, prettyName, startIndex, symbolPart`

Constructor Summary
`CodeFunctionID()`
`CodeFunctionID(int pos)`

Method Summary
`void` | `parseHierarchy(java.lang.String hCode, java.util.Properties props, SymbolPart parent)`

Methods inherited from class com.bbn.openmap.tools.symbology.milStd2525.CodePosition
`addPositionChoice, addPositionChoice, codeMatches, getEndIndex, getFromChoices, getHierarchyNumber, getHierarchyNumberString, getID, getNextPosition, getNULLCodePosition, getPositionChoices, getPrettyName, getStartIndex, getSymbolPart, parsePositions, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CodeFunctionID

    public CodeFunctionID()

### CodeFunctionID

    public CodeFunctionID(int pos)

Method Detail

### parseHierarchy

    public void parseHierarchy(java.lang.String hCode,
                               java.util.Properties props,
                               SymbolPart parent)

  Overrides:
    `parseHierarchy` in class `CodePosition`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details